package com.bocloud.cmp.provider.azure.db.firewall;

import com.bocloud.cmp.model.azure.db.AzureDatabaseServerModel;
import com.bocloud.cmp.model.azure.db.DbFirewallRuleModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DbFirewallRuleProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2021/2/1 13:53
 */
public interface DbFirewallRuleProvider extends SuperProvider {

    default BocloudResult list(AzureDatabaseServerModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(DbFirewallRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(DbFirewallRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(DbFirewallRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult remove(DbFirewallRuleModel model) {
        return new BocloudResult(false, "need implement");
    }

}